> For the complete documentation index, see [llms.txt](https://docs.payrexx.com/merchant/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payrexx.com/merchant/english/account/tools/parameters.md).

# Parameters

By appending parameters to the URL of a payment form, you can set default values and thereby personalize the form.

## Overview of All Parameters

The following overview shows which parameters are available in the various forms.

### Global parameters

The following parameters work across all [e-commerce tools](/merchant/english/account/tools.md) in Payrexx:

| **Name**                                                           | **Parameter**     |
| ------------------------------------------------------------------ | ----------------- |
| Amount (Default)                                                   | invoice\_amount   |
| Amount ([Terminal](/merchant/english/account/tools/terminal.md))   | amount            |
| Currency (Default)                                                 | invoice\_currency |
| Currency ([Terminal](/merchant/english/account/tools/terminal.md)) | currency          |
| Purpose (Default)                                                  | invoice\_number   |
| Purpose ([Terminal](/merchant/english/account/tools/terminal.md))  | purpose           |
| Salutation                                                         | contact\_title    |
| First name                                                         | contact\_forename |
| Last name                                                          | contact\_surname  |
| Company                                                            | contact\_company  |
| Street                                                             | contact\_street   |
| ZIP Code                                                           | contact\_postcode |
| Place                                                              | contact\_place    |
| Country                                                            | contact\_country  |
| Phone                                                              | contact\_phone    |
| Email                                                              | contact\_email    |
| Text field content                                                 | contact\_text     |
| Multiline text field content                                       | contact\_textbox  |
| Discount code                                                      | code              |
| Reference                                                          | referenceId       |

### Parameters for the Donation tool

The following parameters work only in the "Donation" tool:

| **Description**                                                                                                                                     | **Parameter**                  |
| --------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| <p>The amount of 50 is proposed. Can be changed by the donor.</p><p>\[<strong>Values:</strong> Amount, amount with decimal point (e.g. 10.50)].</p> | donation\[preselect\_amount]   |
| <p>Interval is selected. Can no longer be changed.</p><p>\[<strong>Values:</strong> one\_time, weekly, monthly, quarterly, annually]</p>            | donation\[interval]            |
| <p>Interval is proposed. Can still be changed by the donor.</p><p>\[<strong>Values:</strong> one\_time, weekly, monthly, quarterly, annually]</p>   | donation\[preselect\_interval] |
| <p>The purpose of the donation is pre-selected and can be changed by the donor.</p><p>\[<strong>Values:</strong> 1,2,3,...]</p>                     | donation\[preselect\_purpose]  |
| <p>The campaign description is hidden.</p><p>\[<strong>Values:</strong> 0.1]</p>                                                                    | hide\_description              |

## Examples of Using URL Parameters

The following examples illustrate how you can use URL parameters with Payrexx [e-commerce tools](/merchant/english/account/tools.md).

{% hint style="info" %}
A question mark (**?**) must precede the first URL parameter, and each additional parameter is introduced with an **&**.
{% endhint %}

<table><thead><tr><th width="336.40740966796875">Link with URL parameters</th><th>Function</th></tr></thead><tbody><tr><td>https://[instance].payrexx.com/en/vpos<strong>?amount=19.50</strong></td><td>When the <a href="/pages/-MZwweoXEZ85kpczvajC">terminal</a> is opened, the amount of 19.50 is pre-defined.</td></tr><tr><td>https://[instance].payrexx.com/en/vpos<strong>?amount=19.50&#x26;purpose=Test</strong></td><td>When the <a href="/pages/-MZwweoXEZ85kpczvajC">terminal</a> is opened, the amount of 19.50 and the payment purpose “Test order” are pre-defined.</td></tr><tr><td>https://[instance].payrexx.com/en/pay?tid=fbd71f97<strong>&#x26;contact_title=Mr&#x26;contact_forename=John&#x26;contact_surname=Smith</strong></td><td>When the payment <a href="/pages/-MZCk2Yb-SBlLK557d6C">page</a> is opened, the fields "Title", "First name", and "Last name" are automatically populated with "Mr", "John", and "Smith".</td></tr><tr><td>https://[instance].payrexx.com/en/pay?cid=74eb3a66<strong>&#x26;donation[preselect_amount]=50</strong></td><td>When the <a href="/pages/-MZCkGC9VaZS6YR9TF-D">donation</a> page is opened, the amount of 50.00 is automatically selected, but can still be modified by the donor.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payrexx.com/merchant/english/account/tools/parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
